<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
          xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	  version="2.0">
    <jsp:directive.page contentType="application/xhtml+xml"/>
    <jsp:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-root-element="html"
		omit-xml-declaration="false"/>


    <html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	    <title>Escapování</title>
	</head>
	<body>
	    <h1>Escapování</h1>
	    <h2>Vstup</h2>
	    <!-- jednoduchý formulář na otestování uživatelského vstupu -->
	    <form action="escapovani.jsp" method="post">
		<fieldset>
		    <input name="parametr1" type="text"/>
		    <button>Odeslat!</button>
		</fieldset>
	    </form>
	    <h2>Výstup</h2>
	    <!-- vypíšeme si parametr zadaný uživatelem, ale ošetříme ho,
	    aby nám nezbořil naši pěknou XHTML stránku -->
	    <p><c:out value="${param.parametr1}" escapeXml="true"/></p>
	    <!-- escapeXml="true" nemusíme psát – to je výchozí hodnota -->

	    <p>Když potřebujeme dát
		<abbr title="${fn:escapeXml(param.parametr1)}">„escapovaný“</abbr>
		text do atributu, použijeme funkci <code>escapeXml()</code> ze jmenného prostoru:</p>
	    <pre>xmlns:fn="http://java.sun.com/jsp/jstl/functions"</pre>

	</body>
    </html>

</jsp:root>
